scala.tools.nsc.backend.opt.Inliners.Inliner

# IMethodInfo

#### class IMethodInfo extends AnyRef

Source
  Inliners.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. IMethodInfo
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new IMethodInfo(m: Global.icodes.IMethod)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from IMethodInfo to any2stringadd[IMethodInfo] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (IMethodInfo, B)

   Implicit information
     This member is added by an implicit conversion from IMethodInfo to ArrowAssoc[IMethodInfo] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def accessRequirements: AccessReq

   This method inspects the callee's instructions, finding out the most restrictive accessibility implied by them.

   This method inspects the callee's instructions, finding out the most restrictive accessibility implied by them.

   Rather than giving up upon encountering an access to a private field `p`, it provisorily admits `p` as "can-be-made-public", provided:

   - `p` is being compiled as part of this compilation run, and
   - `p` is synthetic or param-accessor.

   This method is side-effect free, in particular it lets the invoker decide whether the accessibility of the `toBecomePublic` fields should be changed or not.

7. #### def addHandlers(exhs: List[Global.icodes.ExceptionHandler]): Unit

8. #### def addLocal(l: Global.icodes.Local): Unit

9. #### def addLocals(ls: List[Global.icodes.Local]): Unit

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def blocks: List[Global.icodes.BasicBlock]

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def ensuring(cond: (IMethodInfo) ⇒ Boolean, msg: ⇒ Any): IMethodInfo

    Implicit information
      This member is added by an implicit conversion from IMethodInfo to Ensuring[IMethodInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (IMethodInfo) ⇒ Boolean): IMethodInfo

    Implicit information
      This member is added by an implicit conversion from IMethodInfo to Ensuring[IMethodInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): IMethodInfo

    Implicit information
      This member is added by an implicit conversion from IMethodInfo to Ensuring[IMethodInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): IMethodInfo

    Implicit information
      This member is added by an implicit conversion from IMethodInfo to Ensuring[IMethodInfo] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from IMethodInfo to StringFormat[IMethodInfo] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def handlers: List[Global.icodes.ExceptionHandler]

23. #### def hasHandlers: Boolean

24. #### def hasNonFinalizerHandler: Boolean

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### var inlinedCalls: Int

27. #### def instructions: collection.immutable.List[Global.icodes.Instruction]

28. #### def isBridge: Boolean

29. #### val isHigherOrder: Boolean

30. #### val isInClosure: Boolean

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### def isLarge: Boolean

33. #### def isMonadic: Boolean

34. #### def isRecursive: Boolean

35. #### def isSmall: Boolean

36. #### def isSynchronized: Boolean

37. #### def length: Int

38. #### def locals: List[Global.icodes.Local]

39. #### val m: Global.icodes.IMethod

40. #### def minimumStack: Int

41. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

42. #### final def notify(): Unit

    Definition Classes
      AnyRef

43. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

44. #### def openBlocks: collection.immutable.List[Global.icodes.BasicBlock]

45. #### def owner: Global.Symbol

46. #### def paramTypes: List[Global.Type]

47. #### val sym: Global.Symbol

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def toString(): String

    Definition Classes
      IMethodInfo → AnyRef → Any

50. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### def →[B](y: B): (IMethodInfo, B)

    Implicit information
      This member is added by an implicit conversion from IMethodInfo to ArrowAssoc[IMethodInfo] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from IMethodInfo to any2stringadd[IMethodInfo]

### Inherited by implicit conversion StringFormat from IMethodInfo to StringFormat[IMethodInfo]

### Inherited by implicit conversion Ensuring from IMethodInfo to Ensuring[IMethodInfo]

### Inherited by implicit conversion ArrowAssoc from IMethodInfo to ArrowAssoc[IMethodInfo]

### Ungrouped